FLAC 1.5.0 Free Lossless Audio Codec

Public Attributes | List of all members
FLAC__StreamMetadata_SeekTable Struct Reference
FLAC C API » FLAC/format.h: format components

`#include <format.h>`

## Public Attributes
uint32_t | num_points
FLAC__StreamMetadata_SeekPoint * | points

## Detailed Description

FLAC SEEKTABLE structure. (c.f. format specification)

Note
  From the format specification:
  - The seek points must be sorted by ascending sample number.
  - Each seek point's sample number must be the first sample of the target frame.
  - Each seek point's sample number must be unique within the table.
  - Existence of a SEEKTABLE block implies a correct setting of total_samples in the stream_info block.
  - Behavior is undefined when more than one SEEKTABLE block is present in a stream.

The documentation for this struct was generated from the following file:

- include/FLAC/format.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2025 Xiph.Org Foundation